<?php
include_once('c_quiz_question_card.php');
class c_page_cab_quiz_question_card_sessions extends c_page_cab_quiz_question_card
{
    public $h1='Контроль знаний - карточка билета - сессии КЗ';
    var $use_textarea_autosize=1;

    function block_main()
    {
        $this->page_title();

        $sessions_ids=execSQL_line('select distinct(quiz_id) from quiz_result where question_id='.$this->rec_question['pkey']) ;
        if (_sizeof($sessions_ids))
        {
            $ids=implode(',',$sessions_ids) ;
            include_once(_DIR_EXT.'/quiz/report_quiz_results_with_answers.php') ;
            $report_obj=new report_quiz_results_with_answers() ;
            //$report_obj->session_ids=$ids ;
            $report_obj->question_ids=$this->rec_question['pkey'] ;
            if (!$this->filter['personal_id']) $report_obj->setting() ;
            $report_obj->view() ;
        }
        else echo '<div class=alert>Сессии КЗ отсутствуют</div>' ;


    }





}

?>
